package com.diagbot.entity.relationship;

import com.diagbot.entity.node.BillConflictItem;
import com.diagbot.entity.node.LisAlias;
import com.diagbot.entity.node.LisName;
import com.diagbot.entity.node.PacsName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter
@RelationshipEntity(type = "辅助检查名称禁忌开单项互斥")
public class PacsNameBillConflictItem extends BaseRelation {
    @StartNode
    private PacsName pacsName;

    @EndNode
    private BillConflictItem billConflictItem;
}